<?php

namespace Drupal\hook_event\Discovery;

/**
 * Provides the interface to get the hooks definitions data.
 */
interface ApiDiscoveryInterface {

  public const CID = 'hook_event_registry';

  /**
   * Gets the registered hook definitions.
   *
   * The hooks are stored in the cache,
   * so the method is trying to return the cached
   * data first, if not found, then it is
   * trying to rebuild the registry.
   *
   * @return array
   *   The registered hook definitions.
   */
  public function getDefinitions(): array;

}
